Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Ogre::Codec::CodecData Class Reference

`#include <OgreCodec.h>`

Inheritance diagram for Ogre::Codec::CodecData:

[legend]
List of all members.

## Public Methods

virtual | ~CodecData ()
virtual String | dataType () const
| Returns the type of the data.

## Constructor & Destructor Documentation

virtual Ogre::Codec::CodecData::~CodecData | ( |  | ) | `[virtual]`

| Definition at line 53 of file OgreCodec.h.

## Member Function Documentation

virtual String Ogre::Codec::CodecData::dataType | ( |  | ) | const`[virtual]`

| Returns the type of the data. Reimplemented in Ogre::ImageCodec::ImageData. Definition at line 57 of file OgreCodec.h. References Ogre::String.

The documentation for this class was generated from the following file:

- OgreCodec.h

Copyright © 2002-2003 by The OGRE Team
Last modified Sun Nov 28 19:50:50 2004